import { HttpClient } from '@angular/common/http';
import { bl_del_shipment_hdr_RowClass, DeliveryShipmentHdrContainerModel } from '../../../../../../../models';
import { ApiResponseModel, ApiVisa, BasicApiResponseModel } from '../../../shared';
import { Observable } from 'rxjs';
import { BaseApiPublicLoginTemplateService } from '../../../shared/base-api-public-login-template.service';
export declare class ShipmentHdrService extends BaseApiPublicLoginTemplateService<DeliveryShipmentHdrContainerModel, DeliveryShipmentHdrContainerModel, DeliveryShipmentHdrContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    retrieveShipments(body: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    postWithQueue(dtoObject: any, visa: ApiVisa): Observable<Object>;
    cancelJobs(dtoObject: any, visa: ApiVisa): Observable<Object>;
    startJobs(visa: ApiVisa, dtoObject: any): Observable<Object>;
    startJobsLoginDriver(visa: ApiVisa, dtoObject: any): Observable<Object>;
    completeJobs(visa: ApiVisa, dtoObject: any): Observable<Object>;
    completeJobsLoginDriver(visa: ApiVisa, dtoObject: any): Observable<Object>;
    readyToShipJobs(visa: ApiVisa, dtoObject: any): Observable<Object>;
    addCustomStatusToJobs(visa: ApiVisa, dtoObject: any): Observable<Object>;
    multiDeleteShipments(dtoObject: any, visa: ApiVisa): Observable<Object>;
    getByTrackingIdPublicEp(trackingId: string, apiVisa: ApiVisa): Observable<ApiResponseModel<bl_del_shipment_hdr_RowClass>>;
}
